#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 25. X Libraries

- Prev

  Cogl-1.22.8

- Next

  clutter-gst-3.0.27

- Up
- Home

# Clutter-1.26.4

## Introduction to Clutter

The Clutter package contains an open source software library used for creating fast, visually rich and animated graphical user interfaces.

This package is known to build and work properly using an LFS-10.1 platform.

### Note

Anything built with this toolkit needs hardware 3D acceleration from the graphics driver at runtime. This is provided by Mesa (or by proprietary graphics drivers), but is not available for every graphics card nor for all virtual machines. You may wish to review Checking the DRI installation.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/clutter/1.26/clutter-1.26.4.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/clutter/1.26/clutter-1.26.4.tar.xz

- Download MD5 sum: 624dd776a5159de0267587b1df6b97b2

- Download size: 5.2 MB

- Estimated disk space required: 93 MB (with tests)

- Estimated build time: 0.7 SBU (Using parallelism=4; with tests)

### Clutter Dependencies

#### Required

ATK-2.36.0, Cogl-1.22.8, and JSON-GLib-1.6.2

#### Recommended

gobject-introspection-1.66.1, GTK+-3.24.25, libgudev-234, libinput-1.16.4, libxkbcommon-1.0.3, and Wayland-1.19.0

#### Optional

GTK-Doc-1.33.2 and Tslib

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/clutter

## Installation of Clutter

Install Clutter by running the following commands:

    ./configure --prefix=/usr               \
                --sysconfdir=/etc           \
                --enable-egl-backend        \
                --enable-evdev-input        \
                --enable-wayland-backend    \
                --enable-wayland-compositor &&
    make

To test the results, issue: make -k check (you must be in an xterm or similar to do this, because it launches some windows).

Now, as the `root` user:

    make install

## Command Explanations

`--enable-egl-backend`: This switch enables the experimental EGL windowing backend.

`--enable-evdev-input`: This switch enables the experimental Evdev input backend which is required for GNOME Wayland support.

`--enable-wayland` and `--enable-wayland-compositor`: These switches enable the experimental Wayland API in Clutter which is required for GNOME Wayland support.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Library: libclutter-1.0.so and libclutter-glx-1.0.so
Installed Directories: /usr/include/clutter-1.0 and /usr/share/gtk-doc/html/{cally,clutter}

### Short Descriptions

`libclutter-1.0.so` | contains the Clutter API functions

Last updated on 2021-02-22 21:05:47 -0800

- Prev

  Cogl-1.22.8

- Next

  clutter-gst-3.0.27

- Up
- Home